Summary:	Framework for managing passwords and other secrets
Name:		libmatekeyring
Version:	1.5.0
Release:	1%{?dist}
License:	GPLv2+ and LGPLv2+
Group:		System Environment/Libraries
Source:		http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz
URL:		http://mate-desktop.org

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	libgcrypt-devel >= %{gcrypt_version}
BuildRequires:	intltool
BuildRequires:	mate-common
BuildRequires:	pkgconfig(gtk-doc)


%description
libmatekeyring is a program that keep password and other secrets for
users. The library libmatekeyring is used by applications to integrate
with the libmatekeyring system.

%package devel
Summary:	Development files for libmate-keyring
License:	LGPLv2+
Group:		Development/Libraries
Requires:	%name = %{version}-%{release}
Requires:	glib2-devel

%description devel
The libmatekeyring-devel package contains the libraries and
header files needed to develop applications that use libmate-keyring.


%prep
%setup -q -n %{name}-%{version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-gtk-doc
	
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# avoid unneeded direct dependencies
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Mon Oct 29 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release
- change build requires style

* Wed Aug 01 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- fix gtk-doc directory path in -devel

* Wed Aug 01 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- fix rpmlint errors
- initial build for fedora

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - libmatekeyring-1.1.0-1
- libmatekeyring.spec based on libgnome-keyring-2.32.0-2.fc14 spec
